{% use "@Contao/component/_picture.html.twig" %}

{% block image %}

    {# imgFluid #}
    {% if data.imgFluid|default %}
        {% set img_attributes = attrs(img_attributes|default).addClass('w-auto') %}
    {% else %}
        {% set img_attributes = attrs(img_attributes|default).addClass('w-full') %}
    {% endif %}

    {# imgObjectFit #}
    {% if data.imgObjectFit|default %}
        {% set img_attributes = attrs(img_attributes|default).addClass([data.imgObjectFit, 'h-full']) %}
    {% endif %}

    {{ parent() }}

{% endblock %}